Skip to main content
PATCH
Update customer

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

customer_id
string
required

Body

application/json

Update Customer RequestSchema

external_id
string | null

External Customer Id

Maximum string length: 255
customer_name
string | null

Customer name

custom_data
Custom Data · object | null

Customer Custom Data

address
Address · object | null

Customer Address

ship_to_address
Address · object | null

Customer Ship To Address

tax_info
TaxId · object[] | null

Customer Tax Ids

phone_number
string | null

Customer Phone Number

email
string<email> | null

Customer primary email address

connector
Connector · object | null

Connector

communications_enabled
boolean | null

To enable/disable communications

auto_charge_enabled
boolean | null

To enable/disable auto-charge

business_entity_id
string<uuid> | null

Business Entity Id

Response

Successful Response

Create Customer Response Schema

id
string<uuid>
required

Customer Id

external_id
string | null
required

External Customer Id

customer_name
string
required

Customer name

custom_data
Custom Data · object | null
required

Customer Custom Data

address
AddressResponse · object | null
required

Customer Address

ship_to_address
AddressResponse · object | null

Customer Ship To Address

tax_info
TaxId · object[] | null

Customer Tax Ids

email
string | null

Customer primary email address

custom_attributes
Custom Attributes · object | null

Customer Tags

phone_number
string | null

Customer Phone Number

communications_enabled
boolean | null
default:true

To enable/disable communications

auto_charge_enabled
boolean | null
default:true

To enable/disable auto-charge

business_entity_id
string<uuid> | null

Business Entity Id